MacDrawParserInternal::Shape Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | List of all members
MacDrawParserInternal::Shape Struct Reference

## Public Types
enum | Type { Basic, Bitmap, Group, GroupEnd, Text, Unknown }
| the different shape More...

## Public Member Functions
| Shape ()
| constructor More...
MWAWBox2f | getBdBox () const
| return the shape bdbox More...

## Public Attributes
Type | m_type
| the graphic type More...
MWAWBox2f | m_box
| the shape bdbox More...
MWAWGraphicStyle | m_style
| the graphic style More...
MWAWGraphicShape | m_shape
| the graphic shape ( for basic geometric form ) More...
int | m_id
| the shape id More...
int | m_nextId
| the following id (if set) More...
MWAWFont | m_font
| the font ( for a text box) More...
MWAWParagraph | m_paragraph
| the paragraph ( for a text box) More...
MWAWEntry | m_textEntry
| the textbox entry (main text) More...
std::vector< size_t > | m_childList
| the child list ( for a group ) More...
int | m_numBytesByRow
| the number of bytes by row (for a bitmap) More...
MWAWBox2i | m_bitmapDim
| the bitmap dimension (in page) More...
MWAWBox2i | m_bitmapFileDim
| the bitmap dimension (in the file) More...
MWAWEntry | m_bitmapEntry
| the bitmap entry (data) More...
bool | m_isSent
| a flag used to know if the object is sent to the listener or not More...

## Member Enumeration Documentation

## ◆ Type

enum MacDrawParserInternal::Shape::Type

the different shape

Enumerator
Basic |
Bitmap |
Group |
GroupEnd |
Text |
Unknown |

## Constructor & Destructor Documentation

## ◆ Shape()

MacDrawParserInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getBdBox()

MWAWBox2f MacDrawParserInternal::Shape::getBdBox | ( |  | ) | const
| inline

return the shape bdbox

Referenced by MacDrawParser::send().

## Member Data Documentation

## ◆ m_bitmapDim

MWAWBox2i MacDrawParserInternal::Shape::m_bitmapDim

the bitmap dimension (in page)

Referenced by MacDrawParser::readObject(), and MacDrawParser::sendBitmap().

## ◆ m_bitmapEntry

MWAWEntry MacDrawParserInternal::Shape::m_bitmapEntry

the bitmap entry (data)

Referenced by MacDrawParser::readObject(), and MacDrawParser::sendBitmap().

## ◆ m_bitmapFileDim

MWAWBox2i MacDrawParserInternal::Shape::m_bitmapFileDim

the bitmap dimension (in the file)

Referenced by MacDrawParser::readObject(), and MacDrawParser::sendBitmap().

## ◆ m_box

MWAWBox2f MacDrawParserInternal::Shape::m_box

the shape bdbox

Referenced by getBdBox(), and MacDrawParser::readObject().

## ◆ m_childList

std::vector<size_t> MacDrawParserInternal::Shape::m_childList

the child list ( for a group )

Referenced by MacDrawParser::send().

## ◆ m_font

MWAWFont MacDrawParserInternal::Shape::m_font

the font ( for a text box)

Referenced by MacDrawParser::readObject(), and MacDrawParser::sendText().

## ◆ m_id

int MacDrawParserInternal::Shape::m_id

the shape id

Referenced by MacDrawParserInternal::SubDocument::operator!=(), MacDrawParserInternal::SubDocument::parse(), MacDrawParser::readObject(), and MacDrawParser::send().

## ◆ m_isSent

bool MacDrawParserInternal::Shape::m_isSent
| mutable

a flag used to know if the object is sent to the listener or not

Referenced by MacDrawParser::parse(), MacDrawParser::send(), and MacDrawParser::sendText().

## ◆ m_nextId

int MacDrawParserInternal::Shape::m_nextId

the following id (if set)

Referenced by MacDrawParser::parse(), and MacDrawParser::readObject().

## ◆ m_numBytesByRow

int MacDrawParserInternal::Shape::m_numBytesByRow

the number of bytes by row (for a bitmap)

Referenced by MacDrawParser::readObject(), and MacDrawParser::sendBitmap().

## ◆ m_paragraph

MWAWParagraph MacDrawParserInternal::Shape::m_paragraph

the paragraph ( for a text box)

Referenced by MacDrawParser::readObject(), and MacDrawParser::sendText().

## ◆ m_shape

MWAWGraphicShape MacDrawParserInternal::Shape::m_shape

the graphic shape ( for basic geometric form )

Referenced by getBdBox(), MacDrawParser::readObject(), and MacDrawParser::send().

## ◆ m_style

MWAWGraphicStyle MacDrawParserInternal::Shape::m_style

the graphic style

Referenced by MacDrawParser::readObject(), and MacDrawParser::send().

## ◆ m_textEntry

MWAWEntry MacDrawParserInternal::Shape::m_textEntry

the textbox entry (main text)

Referenced by MacDrawParser::readObject(), and MacDrawParser::sendText().

## ◆ m_type

Type MacDrawParserInternal::Shape::m_type

the graphic type

Referenced by getBdBox(), MacDrawParser::readObject(), MacDrawParser::send(), and MacDrawParser::sendBitmap().

The documentation for this struct was generated from the following file:

- MacDrawParser.cxx